use v6;
use Test;
is("Perl6".chars, 5, "文字列の長さのテスト");
my $str = "Perl 6 will be available this Christmas";
like($str, rx:i/christmas/, "正規表現のテスト");
subtest {
    # Perl6のオブジェクト機構を使ってクラスを定義
    class Person { 
        has Str $.name is rw;
        has Int $.age is rw;
    }
    # オブジェクトの作成と、プロパティの設定
    my $person = Person.new;
    $person.name = "Larry";
    $person.age = 61;
    # プロパティのテスト
    is( $person.name, 'Larry', 'name属性のテスト');
    cmp-ok($person.age, &infix:«>=», 60, 'age属性のテスト');
}, 'オブジェクトのテスト';
throws-like(
    sub { die "throw exception" },
    X::AdHoc,   # dieの送出する例外の型はX::AdHoc
    message => "throw exception",
    "例外のテスト"
);
done-testing;
